Skip to main content
GET
/
v1
/
accounts
/
transaction-log
Transaction Log
curl --request GET \
  --url https://api.roxom.com/v1/accounts/transaction-log \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Signature: <api-key>'
{
  "data": {
    "logs": [
      {
        "amount": "<string>",
        "balanceAfter": "<string>",
        "balanceBefore": "<string>",
        "createdAt": 123,
        "fee": "<string>",
        "pnl": "<string>",
        "side": "<string>",
        "symbol": "<string>",
        "time": 123,
        "totalValue": "<string>",
        "transactionType": "orderFill",
        "txId": "<string>",
        "fillPrice": "<string>",
        "fundingRate": "<string>",
        "isTaker": true,
        "orderId": "<string>",
        "positionAfter": "<string>",
        "positionBefore": "<string>",
        "price": "<string>",
        "tradeId": "<string>",
        "transactionTrigger": {
          "OrderFill": {
            "baseAmount": "<string>",
            "createdAt": 123,
            "fee": "<string>",
            "feeAmount": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "instrumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "isTaker": true,
            "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "quoteAmount": "<string>",
            "side": "buy",
            "tradeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    ],
    "cursor": "<string>"
  },
  "error": true
}

Authorizations

X-API-Key
string
header
required

Your API key

X-API-Signature
string
header
required

The signature of the request

Query Parameters

cursor
string | null
from
integer<int64> | null
limit
integer<uint32> | null
Required range: x >= 0
to
integer<int64> | null
unit
enum<string>
Available options:
sats,
btc

Response

200 - application/json

Represents a successful API response wrapper

data
object
required
error
boolean
required
Last modified on March 17, 2026